%define major 0
%define libname %mklibname dca %{major}
%define develname %mklibname dca -d

Summary: DTS Coherent Acoustics decoder
Name: libdca
Version: 0.0.6
Release: %mkrel 1
Source0: http://download.videolan.org/pub/videolan/libdca/%{version}/%{name}-%{version}.tar.bz2
License: GPLv2+
Group: System/Libraries
Url: http://www.videolan.org/developers/libdca.html

%description
This is a free decoder for the DTS Coherent Acoustics format. It
consists of a library and a command line decoder. DTS is a high
quality multi-channel (5.1) digital audio format used in DVDs and
DTS audio CDs.

This package is in tainted section as it might be covered by
patents.

%package tools
Summary: DTS Coherent Acoustics decoder
Group: Sound/Editors and Converters
Obsoletes: dtsdec
Provides: dtsdec

%description tools
This is a free decoder for the DTS Coherent Acoustics format. It
consists of a library and a command line decoder. DTS is a high
quality multi-channel (5.1) digital audio format used in DVDs and
DTS audio CDs.

This package is in tainted section as it might be covered by
patents.

%package -n %{libname}
Group: System/Libraries
Summary: DTS Coherent Acoustics decoder shared library

%description -n %{libname}
This is a free decoder for the DTS Coherent Acoustics format. It
consists of a library and a command line decoder. DTS is a high
quality multi-channel (5.1) digital audio format used in DVDs and
DTS audio CDs.

This package is in tainted section as it might be covered by
patents.

%package -n %{develname}
Group: Development/C
Summary: Library for decoding DTS audio - C development files
Requires: %{libname} = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}
Obsoletes: dtsdec-devel
Provides: dtsdec-devel

%description -n %{develname}
This is a free decoder for the DTS Coherent Acoustics format.DTS is a
high quality multi-channel (5.1) digital audio format used in DVDs and
DTS audio CDs.

This package contains a library and the required header files to
develop with libdts.

This package is in tainted section as it might be covered by
patents.

%prep
%setup -q

%build
# fix build on aarch64
autoreconf -vfi

%configure2_5x --disable-static
%make_build

%install
%make_install
# libdca installs broken libdts.a compatibility symlink;
# replace it with shared devel symlink:
rm %{buildroot}%{_libdir}/libdts.a
ln -s libdca.so %{buildroot}%{_libdir}/libdts.so

%files tools
%doc AUTHORS ChangeLog NEWS README TODO
%{_bindir}/dtsdec
%{_bindir}/dcadec
%{_bindir}/extract_dca
%{_bindir}/extract_dts
%{_mandir}/man1/dcadec.1*
%{_mandir}/man1/extract_dca.1*

%files -n %{libname}
%{_libdir}/libdca.so.%{major}{,.*}

%files -n %{develname}
%doc TODO
%{_includedir}/dts.h
%{_includedir}/dca.h
%{_libdir}/*.so
%{_libdir}/*a
%{_libdir}/pkgconfig/libdca.pc
%{_libdir}/pkgconfig/libdts.pc


%changelog
* Sat Dec 29 2018 luigiwalser <luigiwalser> 0.0.6-1.mga7
+ Revision: 1346443
- 0.0.6

* Thu Sep 20 2018 wally <wally> 0.0.5-12.mga7.tainted
+ Revision: 1280313
- fix build on aarch64

* Thu Sep 20 2018 umeabot <umeabot> 0.0.5-11.mga7.tainted
+ Revision: 1279196
- Mageia 7 Mass Rebuild

* Fri Oct 14 2016 daviddavid <daviddavid> 0.0.5-10.mga6.tainted
+ Revision: 1060749
- rebuild for ARM

* Wed Feb 24 2016 daviddavid <daviddavid> 0.0.5-9.mga6.tainted
+ Revision: 977875
- rebuild for Mageia 6

* Wed Oct 15 2014 umeabot <umeabot> 0.0.5-8.mga5.tainted
+ Revision: 742104
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.0.5-7.mga5.tainted
+ Revision: 681406
- Mageia 5 Mass Rebuild

* Thu Oct 31 2013 tmb <tmb> 0.0.5-6.mga4.tainted
+ Revision: 548202
- Mageia 4 rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.0.5-5.mga3.tainted
+ Revision: 356965
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 30 2012 ovitters <ovitters> 0.0.5-4.mga3.tainted
+ Revision: 323367
- clean spec
- update rpm group

* Fri May 13 2011 anssi <anssi> 0.0.5-3.mga1
+ Revision: 97758
- update descriptions for Mageia
- remove old macros
- remove obsoletes/provides from src.rpm
- imported package libdca


* Mon Jul 20 2009 Anssi Hannula <anssi@zarb.org> 0.0.5-2plf2010.0
- remove broken static library compatibility symlink and replace it with
  a shared library compatibility symlink

* Thu Jul 24 2008 Götz Waschk <goetz@zarb.org> 0.0.5-1plf2009.0
- rename to libdca

* Thu Jan 17 2008 Götz Waschk <goetz@zarb.org> 0.0.2-6plf2008.1
- rebuild

* Sun Dec  3 2006 Götz Waschk <goetz@zarb.org> 0.0.2-5plf2007.1
- fix description
- add dts_internal header for avidemux

* Mon Aug 28 2006 Götz Waschk <goetz@zarb.org> 0.0.2-4plf2007.0
- rebuild

* Sun Aug 07 2005 trem <trem@zarb.org> 0.0.2-3plf
- add distsuffix

* Mon May 23 2005 Götz Waschk <goetz@zarb.org> 0.0.2-2plf
- mkrel

* Wed Nov  3 2004 Götz Waschk <goetz@zarb.org> 0.0.2-1plf
- initial plf package

* Tue Mar  2 2004 Götz Waschk <waschk@linux-mandrake.com> 0.0.2-1mdk
- the header has moved to %%_includedir
- new version

* Wed Feb 11 2004 Götz Waschk <waschk@linux-mandrake.com> 0.0.1-1mdk
- initial package
